LibreOffice LibreOffice 6.2 SDK API Reference

Public Member Functions | List of all members
XFlushListener Interface Referencepublished

makes it possible to receive flushed events. More...

`import"XFlushListener.idl";`

Inheritance diagram for XFlushListener:

## Public Member Functions
void | flushed ([in] com::sun::star::lang::EventObject rEvent)
| is called when the object data is flushed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive flushed events.

## Member Function Documentation

## ◆ flushed()

void flushed | ( | [in] com::sun::star::lang::EventObject | rEvent | ) |

is called when the object data is flushed.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XFlushListener.idl